%define __jar_repack %{nil}

Name:          open-xchange-imageconverter-client
BuildArch:     noarch
BuildRequires: ant
BuildRequires: open-xchange-core >= 7.10.6
BuildRequires: java-1.8.0-openjdk-devel
Version:       7.10.6
%define        ox_release 10.0
Release:       %{ox_release}_<CI_CNT>.<B_CNT>
Group:         Applications/Productivity
License:       AGPLv3+
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
URL:           http://www.open-xchange.com/
Source:        %{name}_%{version}.orig.tar.bz2
Summary:       The ImageConverter Client Bundle
Requires:      open-xchange-core >= 7.10.6

%description
The ImageConverterClient Bundle

Authors:
--------
    Open-Xchange

%prep
%setup -q

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
ant -lib build/lib -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -f build/build.xml clean build
mkdir -p %{buildroot}/var/spool/open-xchange/imageconverter-client

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /opt/open-xchange/bundles/
/opt/open-xchange/bundles/*
%dir /opt/open-xchange/osgi/bundle.d/
/opt/open-xchange/osgi/bundle.d/*
%dir /opt/open-xchange/etc/
%config(noreplace) /opt/open-xchange/etc/imageconverter-client.properties
%dir %attr(750, open-xchange, root) /var/spool/open-xchange/imageconverter-client
/opt/open-xchange/etc/security/imageconverter-client.list
%doc properties


%changelog
* Mon Jul 01 2024 Marc Arens <marc.arens@open-xchange.com>
Build for patch 2024-07-08 (6292)
